# Class CubeSurfaceFactory.Profile

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.CubeSurfaceFactory.Profile

Enclosing class:
  `CubeSurfaceFactory`

public static class CubeSurfaceFactory.Profile extends Object
Profile class which defines fixed configuration items for an isotropic or non-isotropic CubeSurface. Instances of this class are normally obtained from the `createProfile` method.

Since:
  20 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Profile(boolean xlog, boolean ylog, boolean zlog, boolean xflip, boolean yflip, boolean zflip, String xlabel, String ylabel, String zlabel, boolean forceiso, Captioner captioner, boolean frame, double xcrowd, double ycrowd, double zcrowd, OrientationPolicy orientpolicy, boolean minor, boolean antialias)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean[]`
`getLogFlags()`
Returns a 3-element array giving X, Y and Z log flags.
`boolean`
`isForceIso()`
Indicates whether isometric axis scaling is in force.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Profile

public Profile(boolean xlog, boolean ylog, boolean zlog, boolean xflip, boolean yflip, boolean zflip, String xlabel, String ylabel, String zlabel, boolean forceiso, Captioner captioner, boolean frame, double xcrowd, double ycrowd, double zcrowd, OrientationPolicy orientpolicy, boolean minor, boolean antialias)
Constructor.

Parameters:
  `xlog` - whether to use logarithmic scaling on X axis
  `ylog` - whether to use logarithmic scaling on Y axis
  `zlog` - whether to use logarithmic scaling on Z axis
  `xflip` - whether to invert direction of X axis
  `yflip` - whether to invert direction of Y axis
  `zflip` - whether to invert direction of Z axis
  `xlabel` - text for labelling X axis
  `ylabel` - text for labelling Y axis
  `zlabel` - text for labelling Z axis
  `forceiso` - if true, scaling is forced the same on all axes; only useful in non-isotropic mode
  `captioner` - text renderer for axis labels etc
  `frame` - whether to draw axis wire frame
  `xcrowd` - crowding factor for tick marks on X axis; 1 is normal
  `ycrowd` - crowding factor for tick marks on Y axis; 1 is normal
  `zcrowd` - crowding factor for tick marks on Z axis; 1 is normal
  `orientpolicy` - axis label orientation policy
  `minor` - whether to paint minor tick marks on axes
  `antialias` - whether to antialias grid lines and text

## Method Details

### getLogFlags

public boolean[] getLogFlags()
Returns a 3-element array giving X, Y and Z log flags.

Returns:
  (xlog, ylog, zlog) array

### isForceIso

public boolean isForceIso()
Indicates whether isometric axis scaling is in force.

Returns:
  true if scaling is forced the same on all axes; only useful in non-isotropic mode